LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 01-20-2010, 09:37 AM   #1
LinuxEM64T
LQ Newbie
 
Registered: Aug 2009
Distribution: Fedora 17 64bit
Posts: 8

Rep: Reputation: 0
libdrm-2.4.17-1.fc13.i686 downgrade/conflict


Here's the deal. libdrm-2.4.17-1.fc13.i686 installed on my FC12 is conflicting with yum trying to update to version libdrm-2.4.17-1.fc12.x86_64. (yum says fc13.i686 is newer than fc12.x86_64)

If i uninstall libdrm-2.4.17-1.fc13.i686 from my system, a whole bunch of important depedencies/programs have to go as well, and i can't afford that.

How can i downgrade libdrm-2.4.17-1.fc13.i686 to libdrm-2.4.17-1.fc12.x86_64. without touching the dependencies???
 
Old 01-20-2010, 04:02 PM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 12,603

Rep: Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677
you do know that fc13 is the TESTING for the up and comming fedora 13 that is NOT out yet

it looks like you turned on the "rawhide" repo for fedora -- A VERY BIG NO-NO

run this to see how many of the fedora 13 files you installed. if it is more that 3 or 4 that are installed your system may NEVER be able to be fixed and your only option is a full reinstall .
Code:
rpm -qa | grep fc13
if there are only a few try removing them using the FULL name from the above list .

NEVER TURN ON THE "rawhide" REPO UNLESS YOU DO KNOW EXACTLY WHAT YOU ARE DOING
-- example ---
Code:
yum erase libdrm-2.4.17-1.fc13
and then TURN OFF the rawhide repo!!!!!!!!!!!!!!!!!!!!!!!!!!!

Last edited by John VV; 01-20-2010 at 04:09 PM.
 
Old 01-22-2010, 07:57 AM   #3
LinuxEM64T
LQ Newbie
 
Registered: Aug 2009
Distribution: Fedora 17 64bit
Posts: 8

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by John VV View Post
you do know that fc13 is the TESTING for the up and comming fedora 13 that is NOT out yet

it looks like you turned on the "rawhide" repo for fedora -- A VERY BIG NO-NO

run this to see how many of the fedora 13 files you installed. if it is more that 3 or 4 that are installed your system may NEVER be able to be fixed and your only option is a full reinstall .
Code:
rpm -qa | grep fc13
if there are only a few try removing them using the FULL name from the above list .

NEVER TURN ON THE "rawhide" REPO UNLESS YOU DO KNOW EXACTLY WHAT YOU ARE DOING
-- example ---
Code:
yum erase libdrm-2.4.17-1.fc13
and then TURN OFF the rawhide repo!!!!!!!!!!!!!!!!!!!!!!!!!!!

I promise i won't turn on rawhide ever again!

Good things is that i only have libdrm-2.4.17-1.fc13 installed.

My question is more would i be able to downgrade to the fc12 version without having to uninstall and reinstall all the dependent programs, which are in my case:

SDL-devel x86_64 1.2.13-10.fc12 installed 1.4 M
VirtualBox-3.1 x86_64 3.1.2_56127_fedora12-1 installed 87 M
amarok x86_64 2.2.1-2.fc12 installed 14 M
amarok-libs x86_64 2.2.1-2.fc12 installed 8.8 M
blenderplayer x86_64 2.49b-1.fc12 installed 5.8 M
cinelerra x86_64 2.1-19_git20091116.fc12 installed 24 M
clutter x86_64 1.0.6-1.fc12 installed 1.2 M
clutter-gtk x86_64 0.10.2-1.fc12 installed 296 k
compiz x86_64 0.8.2-21.fc12 installed 4.3 M
compiz-gnome x86_64 0.8.2-21.fc12 installed 2.1 M
desktop-effects x86_64 0.8.4-2.fc12 installed 227 k
directfb x86_64 1.4.2-3.fc12 installed 3.7 M
eclipse-birt noarch 2.5-1.fc12 installed 4.4 M
eclipse-callgraph x86_64 0.0.1-3.fc12 installed 253 k
eclipse-cdt x86_64 1:6.0.0-10.fc12 installed 27 M
eclipse-changelog x86_64 1:2.6.7-3.fc12 installed 298 k
eclipse-dtp noarch 1.7.0-5.fc12 installed 13 M
eclipse-egit noarch 0.6.0-0.1.git20091029.fc12 installed 1.3 M
eclipse-emf noarch 2.5.0-4.fc12 installed 5.1 M
eclipse-gef noarch 3.5.1-2.fc12 installed 1.7 M
eclipse-jdt x86_64 1:3.5.1-21.fc12 installed 25 M
eclipse-jgit noarch 0.6.0-0.1.git20091029.fc12 installed 741 k
eclipse-linuxprofilingframework x86_64 0.3.0-2.fc12 installed 51 k
eclipse-mylyn noarch 3.2.1-2.fc12 installed 4.9 M
eclipse-mylyn-java noarch 3.2.1-2.fc12 installed 220 k
eclipse-oprofile x86_64 0.4.0-1.fc12 installed 1.7 M
eclipse-pde x86_64 1:3.5.1-21.fc12 installed 93 M
eclipse-platform x86_64 1:3.5.1-21.fc12 installed 31 M
eclipse-pydev x86_64 1:1.5.3-1.fc12 installed 10 M
eclipse-rcp x86_64 1:3.5.1-21.fc12 installed 10 M
eclipse-rpm-editor x86_64 0.4.3-2.fc12 installed 1.5 M
eclipse-rse noarch 3.1-2.fc12 installed 13 M
eclipse-subclipse noarch 1.6.5-1.fc12 installed 4.5 M
eclipse-svnkit noarch 1.3.0-1.fc12 installed 42 k
eclipse-swt x86_64 1:3.5.1-21.fc12 installed 2.9 M
eclipse-valgrind x86_64 0.4.0-0.1.fc12 installed 1.2 M
empathy-libs x86_64 2.28.2-1.fc12 installed 812 k
freeglut x86_64 2.6.0-1.fc12 installed 612 k
gdm x86_64 1:2.28.2-1.fc12 installed 4.4 M
gdm-plugin-fingerprint x86_64 1:2.28.2-1.fc12 installed 75 k
gdm-user-switch-applet x86_64 1:2.28.2-1.fc12 installed 106 k
glew x86_64 1.5.1-3.fc12 installed 587 k
glx-utils x86_64 7.7-2.fc12 installed 46 k
gstreamer-plugins-bad x86_64 0.10.17-2.fc12 installed 3.6 M
ibus-qt x86_64 1.2.0.20091206-2.fc12 installed 418 k
kdebase-runtime x86_64 4.3.4-2.fc12 installed 13 M
kdebase-runtime-libs x86_64 4.3.4-2.fc12 installed 4.9 M
kdegraphics-libs x86_64 7:4.3.4-1.fc12 installed 2.7 M
kdelibs x86_64 6:4.3.4-3.fc12 installed 45 M
kdelibs-experimental x86_64 4.3.4-1.fc12 installed 97 k
kdepimlibs x86_64 4.3.4-1.fc12 installed 6.9 M
kino x86_64 1.3.4-2.fc12 installed 7.5 M
libcaca x86_64 0.99-0.9.beta16.fc12 installed 712 k
libchamplain x86_64 0.4.2-1.fc12 installed 389 k
libchamplain-gtk x86_64 0.4.2-1.fc12 installed 13 k
mesa-dri-drivers i686 7.7-2.fc12 installed 6.0 M
mesa-libGL i686 7.7-2.fc12 installed 575 k
mesa-libGL x86_64 7.7-2.fc12 installed 499 k
mesa-libGL-devel x86_64 7.7-2.fc12 installed 1.0 M
mesa-libGLU i686 7.7-2.fc12 installed 416 k
mesa-libGLU x86_64 7.7-2.fc12 installed 379 k
mesa-libGLU-devel x86_64 7.7-2.fc12 installed 81 k
mjpegtools x86_64 1.9.0-1.fc11 installed 1.3 M
mlt x86_64 0.4.10-1.fc12 installed 33 M
mlt-python x86_64 0.4.10-1.fc12 installed 533 k
mplayer x86_64 4:1.0-72_snap20091120.fc12 installed 32 M
nautilus-sendto x86_64 2.28.2-1.fc12 installed 617 k
openshot noarch 1.0.0-1.fc12 installed 18 M
phonon i686 4.3.80-2.fc12 installed 507 k
phonon x86_64 4.3.80-2.fc12 installed 533 k
phonon-backend-gstreamer i686 2:4.3.80-2.fc12 installed 240 k
phonon-backend-xine x86_64 4.3.80-2.fc12 installed 446 k
piccolo2d noarch 1.3-0.svn702.4.fc12 installed 289 k
playonlinux noarch 3.7.2-fedora0 installed 2.3 M
plymouth x86_64 0.8.0-0.2009.29.09.19.1.fc12 installed 141 k
plymouth-gdm-hooks x86_64 0.8.0-0.2009.29.09.19.1.fc12 installed 171
plymouth-utils x86_64 0.8.0-0.2009.29.09.19.1.fc12 installed 15 k
pulseaudio-gdm-hooks x86_64 0.9.21-2.fc12 installed 385
qt-x11 i686 1:4.5.3-9.fc12 installed 41 M
qt-x11 x86_64 1:4.5.3-9.fc12 installed 44 M
qtscriptbindings x86_64 0.1.0-8.fc12 installed 20 M
scribus x86_64 1.3.5.1-5.fc12 installed 48 M
scribus-doc noarch 1.3.5.1-5.fc12 installed 9.7 M
skype i586 2.1.0.47-fc10 installed 24 M
svnkit noarch 1.3.0-1.fc12 installed 1.8 M
wine x86_64 1.1.32-1.fc12 installed 0.0
wine-capi i686 1.1.32-1.fc12 installed 79 k
wine-capi x86_64 1.1.32-1.fc12 installed 84 k
wine-cms i686 1.1.32-1.fc12 installed 118 k
wine-cms x86_64 1.1.32-1.fc12 installed 138 k
wine-common noarch 1.1.32-1.fc12 installed 297 k
wine-core i686 1.1.32-1.fc12 installed 68 M
wine-core x86_64 1.1.32-1.fc12 installed 71 M
wine-desktop noarch 1.1.32-1.fc12 installed 5.1 k
wine-ldap i686 1.1.32-1.fc12 installed 324 k
wine-ldap x86_64 1.1.32-1.fc12 installed 373 k
wine-pulseaudio i686 1.1.32-1.fc12 installed 115 k
wine-pulseaudio x86_64 1.1.32-1.fc12 installed 119 k
wine-twain i686 1.1.32-1.fc12 installed 205 k
wine-twain x86_64 1.1.32-1.fc12 installed 209 k
wxGTK-gl x86_64 2.8.10-7.fc12 installed 54 k
wxPython x86_64 2.8.9.2-3.fc12 installed 35 M
xine-lib x86_64 1.1.17-20.fc12 installed 5.9 M
xmms-libs x86_64 1:1.2.11-37.fc12 installed 877 k
xorg-x11-drivers x86_64 7.3-13.fc12 installed 0.0
xorg-x11-drv-ati x86_64 6.13.0-0.20.20091221git4b05c47ac.fc12 installed 1.1 M

Transaction Summary
==================================================================================================== ==================================================================================================== =====================================
Remove 107 Package(s)
Reinstall 0 Package(s)
Downgrade 0 Package(s)

... you can imagine a simple downgrade would make it easy.
How could i do this?
 
Old 01-22-2010, 04:07 PM   #4
John VV
Guru
 
Registered: Aug 2005
Posts: 12,603

Rep: Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677
yes it is possible
you might want to read the yum man page and help page
Code:
yum --help 
  # -- and read this -- # 
man yum
by using the -nodepts option
 
  


Reply

Tags
conflict, downgrade, fc12, fedora, yum


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
libdrm from git - Slack64 multilib? kukibl Slackware 1 10-14-2009 03:16 PM
upgrading libdrm User0x45 Slackware 7 02-05-2009 05:14 AM
Can't upgrade libdrm to 2.3 SilverZero Linux - Newbie 2 03-20-2007 03:57 PM
2.6.9-5.EL-hugemem-i686, 2.6.9-5.EL-i686, 2.6.9-5.EL-smp-i686 , Which? arsham Linux - General 2 05-07-2005 11:21 PM
2.6.9-5.EL-hugemem-i686, 2.6.9-5.EL-i686, 2.6.9-5.EL-smp-i686 , Which? arsham Linux - Enterprise 1 05-07-2005 07:20 PM


All times are GMT -5. The time now is 08:38 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration